#! /usr/bin/env python

# Original author: Jyrki Katajainen <jyrki@diku.dk>, April 2001

# This program corrects a simply bibtex error caused by an buffer overflow in
# the built-in "write$" command.

import sys
bbl_file = sys.argv[1]
input_file = open(bbl_file, 'r')
bbl_string = input_file.read()
input_file.close()

corrected_bbl_file = sys.argv[2]
output_file = open(corrected_bbl_file, 'w')

import re
bbl_string, number_of_substitutions_made = \
re.subn('(\\url\{[-_.:/a-zA-Z0-9]*)%\s+([-_.:/a-zA-Z0-9]*\})', '\g<1>\g<2>', bbl_string)

# print number_of_substitutions_made

output_file.write(bbl_string)
output_file.close()

